| GET | /RestApi/ab-testing/tests |
|---|
import Foundation
import ServiceStack
public class GetABTests : IABTestsFilter, Codable
{
public var skip:Int?
public var take:Int?
public var orderExpression:String
public var searchText:String
public var status:ABTestStatus?
public var myTests:Bool
required public init(){}
}
public enum ABTestStatus : String, Codable
{
case NotStarted
case Scheduled
case Active
case Stopped
case Ended
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/ab-testing/tests HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
[
{
Title: String,
Description: String,
StartDate: 0001-01-01,
StopDate: 0001-01-01,
Culture: String,
ReportUrl: String,
LastModified: 0001-01-01,
Status: NotStarted,
Owner: String,
WinnerVariationId: 00000000-0000-0000-0000-000000000000,
SelectedVariationId: 00000000-0000-0000-0000-000000000000,
PageNodeErrorMessage: String,
WarningMessage: String,
ApiKey: String,
UserSegmentId: 00000000-0000-0000-0000-000000000000
}
]